Subject: bug#69904: closed ([PATCH 00/10] gnu: Add cl-ciel.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 21 Mar 2024 22:04:02 +0000

Your bug report

#69904: [PATCH 00/10] gnu: Add cl-ciel.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
69904: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=69904
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: [PATCH 00/10] gnu: Add cl-ciel.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Date: Thu, 21 Mar 2024 22:01:27 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guillaume,

Thanks for the review!

I've covered all of review comments and added 2 more trivial packages from
already know upstreams: CL-HUNCHENTOOT-ERRORS and CL-MIMEPARSE to have
all systems from CL-EASY-ROUTES availale.

Pushed as 14942e2abb..c75eb3b38a to master.

--
Oleg

Subject: [PATCH 00/10] gnu: Add cl-ciel.
From: Sharlatan Hellseher <[email-masked]>
To: [email-masked]
Cc: Sharlatan Hellseher <[email-masked]>
Date: Tue, 19 Mar 2024 21:34:36 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Guix,

It's been a long time since I packed some Common Lisp! Here we go - welcome
CIEL as stated on the project's README - an Extended Lisp. Scripting with
batteries included.

This series includes just CL library and does not provide ready-to-use image or
binary as it's mentioned in Makefile, which may be prepared as dedicated
package if we may need it (see pgloader):

--8<---------------cut here---------------start------------->8---
image:
	$(LISP) --load build-image.lisp

build:
	$(LISP) --non-interactive \
		--eval '(ql:quickload :deploy)' \
		--eval '(ql:quickload "cl+ssl")' \
		--load ciel.asd \
		--load build-config.lisp \
		--eval '(ql:quickload :swank)' \
	     --eval '(push :deploy-console *features*)' \
	     --eval '(ql:quickload :ciel)' \
	     --eval '(ql:quickload :ciel/repl)' \
	     --eval '(asdf:make :ciel/repl)' \
	     --eval '(quit)'
--8<---------------cut here---------------end--------------->8---

Build and lint are passed locally, but I've got issue to fix ecl-boost-json
(check comments for details) leaving it for Guillaume ;-) or for the next
update cycle to check.

Thanks,
Oleg

Sharlatan Hellseher (10):
  gnu: Add cl-arrow-macros.
  gnu: Add cl-trivial-utilities.
  gnu: Add cl-trivial-monitored-thread.
  gnu: Add cl-boost-json.
  gnu: Add cl-st-json.
  gnu: Add cl-json-pointer.
  gnu: Add cl-easy-routes.
  gnu: Add cl-vgplot.
  gnu: Add cl-punch.
  gnu: Add cl-ciel.

 gnu/packages/lisp-xyz.scm | 396 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 396 insertions(+)

base-commit: b7eb1a8116b2caee7acf26fb963ae998fbdb4253
-- 
2.41.0